be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class NotifyBedPeriodListType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.NotifyBedPeriodListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:25:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class NotifyBedPeriodListType
      extends Object
      implements Serializable

  Lijst van periodes waar de bewoner in een bepaald type woongelegenheid verbleef

  Java class for NotifyBedPeriodListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NotifyBedPeriodListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BedPeriod" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}NotifyBedPeriodType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyBedPeriodListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<NotifyBedPeriodType>` | `getBedPeriods()` Gets the value of the bedPeriods property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifyBedPeriodListType

          public NotifyBedPeriodListType()

  - ### Method Detail

    - #### getBedPeriods

          public List<NotifyBedPeriodType> getBedPeriods()

      Gets the value of the bedPeriods property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bedPeriods property.

      For example, to add a new item, do as follows:

              getBedPeriods().add(newItem);

      Objects of the following type(s) are allowed in the list `NotifyBedPeriodType`

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.